Web Home
Getting Started
Manual
Packages
Quick Reference
Language Reference
Function Reference
I/O Reference

- Language Reference
  - Starting and Quitting Yorick
  - Getting Help
  - Error Recovery
  - Array Data Types
  - Constants
  - Defining Variables
  - Arithmetic and Comparison Operators
  - Logical Operators
  - Creating Arrays
  - Indexing Arrays
  - Array Conformability Rules
  - Calling Functions
  - Defining Functions
  - Variable Scope
  - Returning from Functions
  - Compound Statements
  - Conditional Execution
  - Loops
- Function Reference
- I/O Reference

# Yorick Language Reference

## Creating Arrays

`[` obj1, obj2, ..., objN`]` | build an array of N objects The objI may be arrays to build multi-dimensional arrays.
`array(`value, dimlist`)` | add dimensions dimlist to value
`array(`type_name, dimlist`)` | return specified array, all zero
`span(`start, stop, n`)` | n equal stepped values from start to stop
`spanl(`start, stop, n`)` | n equal ratio values from start to stop
`grow,` var, sfx1, sfx2, ... | append sfx1, sfx1, etc. to var

These functions may be used to generate multi-dimensional arrays; use `help` for details.